package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 人员派单档案分配参数
 * @Author: CaoZixuan
 * @Date: 2023-08-16
 */
public class UserArchivesAllocationParam {
    @ApiModelProperty("分配参数")
    private List<AllocationParam> allocationParams;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("服务单元id")
    @NotNull(message = "请提供服务单元id")
    @Range(min = 1L, message = "请提供服务单元id")
    private Long serviceUnitId;

    @ApiModelProperty("派单号")
    @NotBlank(message = "缺少派单信息")
    private String crmNo;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty("区域协调人id")
    private Long regionUserId;

    public List<AllocationParam> getAllocationParams() {
        return allocationParams;
    }

    public void setAllocationParams(List<AllocationParam> allocationParams) {
        this.allocationParams = allocationParams;
    }

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public Long getRegionUserId() {
        return regionUserId;
    }

    public void setRegionUserId(Long regionUserId) {
        this.regionUserId = regionUserId;
    }
}
